
QGIS Application - Bug report #2610

Printing with SVG symbols: QGIS ignores totally the size of SVG symbol

2010-03-30 02:40 AM - luca76 -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12670

Description

Steps to reproduce:

1. load a point layer;

 1. assign a SVG symbol to it with a size defined;

 1. try to print to PDF

result: QGIS ignores totally the defined size

History

#1 - 2010-03-30 02:59 AM - luca76 -

change the 2. step with this:

2. assign a SVG symbol to it with a size based by map-unit

#2 - 2010-03-31 05:28 AM - michele zanolli

As you can see in the attachments only the red labels (numbers) are correctly scaled. The other symbols and the label of the line are wrong.

#3 - 2010-05-25 10:40 AM - Alex Mandel

I agree this should be tackled but I don't think this should hold up a new release if not solved.

#4 - 2010-06-03 04:05 AM - Martin Dobias

Umm, I'm unable to replicate.

Is that new symbology or old symbology or both?

Does that happen only with SVG symbols with size in map units or also in other combinations? (simple marker / font marker, millimeters)

Does the problem exists in PDF export, in raster export - or in both? It seems that trapanator refers to PDF export, while zanollim refers to raster export.

Martin

#5 - 2010-06-03 04:22 AM - michele zanolli
Martin,

Because I need rotation of the symbols by a layer attribute, currently I am using the old symbology.

Yes, the problem occurs:

with SVG symbols

with size in map units (and not in pixel)

in PDF export and raster export

#6 - 2010-06-03 04:26 AM - Giovanni Manghi

Because I need rotation of the symbols by a layer attribute, currently I am using the old symbology.

this is already available in new symbology

#7 - 2010-06-03 05:05 AM - luca76 -

Replying to [comment:6 lutra]:

Because I need rotation of the symbols by a layer attribute, currently I am using the old symbology.

this is already available in new symbology

yes, but only for unique value symbology. For categorized and graduated values, the option doesn't exists.

#8 - 2010-06-08 12:19 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed for old symbology in
